GET legal_hold_policy_assignments/{legal_hold_policy_assignment_id}/files_on_hold

box.com

Summary: List current file versions for legal hold policy assignment
Operation ID: get_legal_hold_policy_assignments_id_files_on_hold
Auth: unknown
Description

Get a list of current file versions for a legal hold assignment. In some cases you may want to get previous file versions instead. In these cases, use the `GET /legal_hold_policy_assignments/:id/file_versions_on_hold` API instead to return any previous versions of a file for this legal hold policy assignment. Due to ongoing re-architecture efforts this API might not return all file versions held for this policy ID. Instead, this API will only return the latest file version held in the newly developed architecture. The `GET /file_version_legal_holds` API can be used to fetch current and past versions of files held within the legacy architecture. The `GET /legal_hold_policy_assignments?policy_id={id}` API can be used to find a list of policy assignments for a given policy ID.

Parameters (4)

fields (array, query, optional)

A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response. Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.

legal_hold_policy_assignment_id (string, path, required)

The ID of the legal hold policy assignment

limit (integer, query, optional)

The maximum number of items to return per page.

Constraints: {'maximum': 1000}

marker (string, query, optional)

Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination. This requires `usemarker` to be set to `true`.

No probe data for this endpoint yet.